to_array_1d.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/scal/meta/scalar_type.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T , int R, int C>
std::vector< T > | stan::math::to_array_1d (const Eigen::Matrix< T, R, C > &matrix)
template<typename T >
std::vector< T > | stan::math::to_array_1d (const std::vector< T > &x)
template<typename T >
std::vector< typename scalar_type< T >::type > | stan::math::to_array_1d (const std::vector< std::vector< T > > &x)

[ Stan Home Page ] © 2011–2016, Stan Development Team.